{
  description = "Thatoo's flake";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-25.05";
#    nixpkgs_unstable.url = "github:NixOS/nixpkgs/nixos-unstable";
    lix-module = {
      url = "https://git.lix.systems/lix-project/nixos-module/archive/2.92.0-3.tar.gz";
      inputs.nixpkgs.follows = "nixpkgs";
    };
#    affinity-nix.url = "github:mrshmllow/affinity-nix";
  };

#  outputs = inputs@{ self, nixpkgs, lix-module, affinity-nix, ... }: {
  outputs = inputs@{ self, nixpkgs, lix-module, ... }: {
    nixosConfigurations.ThinkPadT470 = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = { inherit inputs; };
      modules = [
        {
        }
        lix-module.nixosModules.default
        ./hardware-configuration.nix
        ./configuration.nix
        ./system_packages.nix
        ./desktop_environnement.nix
        ./serveur_web.nix
      ];
    };
  };
}
